Restore agents/item/versions/item/restore
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>'})
};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore"
payload = { "agent_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"agent_id": "<string>",
"version_number": "<string>",
"config": {},
"system_prompt": "<string>",
"bot_settings": "<string>",
"published": "<string>",
"change_note": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Agents
Restore agents/item/versions/item/restore
From api/v1/agent_versions#restore in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
versions
/
{id}
/
restore
Restore agents/item/versions/item/restore
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>'})
};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/versions/{id}/restore"
payload = { "agent_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"agent_id": "<string>",
"version_number": "<string>",
"config": {},
"system_prompt": "<string>",
"bot_settings": "<string>",
"published": "<string>",
"change_note": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Was this page helpful?